<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XFeatureControlPolicy StructType
 * @subpackage Structs
 */
class XFeatureControlPolicy extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 100
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $description;
    /**
     * The features
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\Features
     */
    public $features;
    /**
     * Constructor method for XFeatureControlPolicy
     * @uses XFeatureControlPolicy::setName()
     * @uses XFeatureControlPolicy::setDescription()
     * @uses XFeatureControlPolicy::setFeatures()
     * @param string $name
     * @param string $description
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Features $features
     */
    public function __construct($name = null, $description = null, \\Losc\CucmBundle\Model\Webservice\StructType\Features $features = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setFeatures($features);
    }
    /**
     * Get name value
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFeatureControlPolicy
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFeatureControlPolicy
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get features value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Features|null
     */
    public function getFeatures()
    {
        return $this->features;
    }
    /**
     * Set features value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Features $features
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFeatureControlPolicy
     */
    public function setFeatures(\\Losc\CucmBundle\Model\Webservice\StructType\Features $features = null)
    {
        $this->features = $features;
        return $this;
    }
}
